<template>
  <span class="Highlightable">
    <template v-for="(part, index) in parts" :key="index">
      <component :is="part.important ? 'strong' : 'span'">{{
        part.text
      }}</component>
    </template>
  </span>
</template>

<script lang="ts" setup>
import { computed } from 'vue'
import { splitImportant } from '@/components/Highlightable/splitImportant'

const props = defineProps<{
  content: string
  highlight?: string | null
  caseSensitive?: boolean
}>()

const parts = computed(() =>
  splitImportant(props.content, props.highlight, props.caseSensitive)
)
</script>
